## org.openmuc.jasn1.ber.types.string
Class BerVisibleString

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerOctetString
          org.openmuc.jasn1.ber.types.string.BerVisibleString

    public class BerVisibleString

extends BerOctetString

Field Summary
`static BerIdentifier` `identifier`

Fields inherited from class org.openmuc.jasn1.ber.types.BerOctetString
`id, octetString`

Constructor Summary
`BerVisibleString()`
`BerVisibleString(byte[] octetString)`
`BerVisibleString(java.lang.String string)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class org.openmuc.jasn1.ber.types.BerOctetString
`decode, encode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

Constructor Detail

### BerVisibleString

    public BerVisibleString()

### BerVisibleString

    public BerVisibleString(byte[] octetString)

### BerVisibleString

    public BerVisibleString(java.lang.String string)
                     throws java.io.UnsupportedEncodingException

Throws:
  `java.io.UnsupportedEncodingException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BerOctetString`